%global gem_name sassc

Summary: Use libsass with Ruby!
Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/sass/sassc-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: ruby >= 2.3.3
Requires: rubygem(ffi) >= 1.9
Requires: rubygem(ffi) < 2
Requires: cfme-gemset
BuildRequires: rubygem-rake
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
Use libsass with Ruby!


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
export EXTRA_CXXFLAGS="-g"

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/libsass/lib
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_instdir}/ext/libsass/lib/*.so %{buildroot}%{gem_extdir_mri}/libsass/lib/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

mkdir -p %{buildroot}%{gem_instdir}/ext//libsass/lib
cp -pa .%{gem_instdir}/ext/libsass/lib %{buildroot}%{gem_instdir}/ext/libsass/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_extdir_mri}
%{gem_instdir}/ext
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%{gem_instdir}/.travis.yml
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/*gemspec

%changelog
* Tue Mar 05 2019 Satoe Imaishi <simaishi@redhat.com> - 2.0.1-1
- Initial Build
